{
  "name": "ifcacs",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "android": "npm run cc && react-native run-android",
    "ios": "npm run cc && react-native run-ios",
    "start": "node node_modules/react-native/local-cli/cli.js start",
    "cc": "rm -rf node_modules/.cache/babel-loader/*",
    "start-reset": "react-native start -- --reset-cache",
    "test": "jest",
    "lint": "eslint . --ext .js,.jsx,.ts,.tsx",
    "clean": "rm -rf ./node_modules/ && yarn",
    "clean-ios": "cd ./ios && rm -rf ./Pods/ && pod install",
    "clean:android": "react-native bundle --platform android --dev false --entry-file index.js --bundle-output android/app/src/main/assets/index.android.bundle --assets-dest android/app/src/main/res && rm -vrf android/app/src/main/res/drawable*"
  },
  "dependencies": {
    "@react-native-async-storage/async-storage": "^1.15.5",
    "@react-native-community/datetimepicker": "^3.5.2",
    "@react-native-community/netinfo": "^6.0.0",
    "@react-native-firebase/app": "^12.1.0",
    "@react-native-firebase/messaging": "^12.1.0",
    "axios": "^0.21.1",
    "moment": "^2.29.1",
    "native-base": "3.0.3",
    "react": "17.0.1",
    "react-native": "0.64.1",
    "react-native-clear-app-cache": "^1.0.4",
    "react-native-device-info": "^8.1.3",
    "react-native-dotenv": "^3.1.1",
    "react-native-easy-grid": "^0.2.2",
    "react-native-gesture-handler": "^1.10.3",
    "react-native-image-viewing": "^0.2.0",
    "react-native-modal-datetime-picker": "^10.1.0",
    "react-native-modalize": "^2.0.8",
    "react-native-navigation": "^7.17.1",
    "react-native-safe-area-context": "^3.2.0",
    "react-native-screens": "^3.4.0",
    "react-native-snap-carousel": "^3.9.1",
    "react-native-svg": "^12.1.1",
    "react-native-vector-icons": "^8.1.0",
    "styled-components": "^5.3.0",
    "styled-system": "^5.1.5"
  },
  "devDependencies": {
    "@babel/core": "^7.12.9",
    "@babel/runtime": "^7.12.5",
    "@react-native-community/eslint-config": "^2.0.0",
    "@types/jest": "^26.0.23",
    "@types/react-native": "^0.64.5",
    "@types/react-test-renderer": "^16.9.2",
    "babel-jest": "^26.6.3",
    "eslint": "^7.14.0",
    "jest": "^26.6.3",
    "metro-react-native-babel-preset": "^0.64.0",
    "react-test-renderer": "17.0.1",
    "typescript": "^3.8.3"
  },
  "resolutions": {
    "@types/react": "^17",
    "metro": "^0.65.0",
    "metro-config": "^0.65.0",
    "metro-core": "^0.65.0",
    "metro-react-native-babel-transformer": "^0.65.0",
    "metro-resolver": "^0.65.0",
    "metro-runtime": "^0.65.0"
  },
  "jest": {
    "preset": "react-native",
    "moduleFileExtensions": [
      "ts",
      "tsx",
      "js",
      "jsx",
      "json",
      "node"
    ]
  },
  "rnpm": {
    "assets": [
      "./assets/fonts/"
    ]
  }
}
